complexType "InformationSource"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 5 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | rateSource?, rateSourcePage?, rateSourcePageHeading?
</...>

Content Model Elements (3):

  rateSource (defined in InformationSource complexType), rateSourcePage, | rateSourcePageHeading

All Direct / Indirect Based Elements (5):

  informationSource (defined in QuotationCharacteristics.model group),
  informationSource (defined in SettlementRateSource complexType),
  primaryRateSource,
  publication,
  secondaryRateSource

Known Usage Locations

- As direct type of elements (5):
  informationSource (defined in QuotationCharacteristics.model group),
  informationSource (defined in SettlementRateSource complexType),
  primaryRateSource,
  publication,
  secondaryRateSource

Annotation
A type defining the source for a piece of information (e.g. a rate refix or an fx fixing).
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="InformationSource"> <xsd:sequence> <xsd:element minOccurs="0" name="rateSource" type="InformationProvider"/> <xsd:element minOccurs="0" name="rateSourcePage" type="RateSourcePage"/> <xsd:element minOccurs="0" name="rateSourcePageHeading" type="xsd:string"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
rateSource

  Type: | InformationProvider, simple content

  An information source for obtaining a market rate. For example Bloomberg, Reuters, Telerate etc.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateSource" type="InformationProvider"/>

rateSourcePage

  Type: | RateSourcePage, simple content

  A specific page for the rate source for obtaining a market rate.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateSourcePage" type="RateSourcePage"/>

rateSourcePageHeading

  Type: | xsd:string, predefined, simple content

  The heading for the rate source on a given rate source page.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rateSourcePageHeading" type="xsd:string"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.